/**
* Copyright 2012-2018, Plotly, Inc.
* All rights reserved.
*
* This source code is licensed under the MIT license found in the
* LICENSE file in the root directory of this source tree.
*/

'use strict';

module.exports = {
    moduleType: 'locale',
    name: 'fi',
    dictionary: {
        'Autoscale': 'Autoskaalaa',
        'Box Select': 'Laatikkovalinta',
        'Click to enter Colorscale title': 'Klikkaa antaaksesi väriskaalan otsikko',
        'Click to enter Component A title': 'Klikkaa antaaksesi komponentin A otsikko',
        'Click to enter Component B title': 'Klikkaa antaaksesi komponentin B otsikko',
        'Click to enter Component C title': 'Klikkaa antaaksesi komponentin C otsikko',
        'Click to enter Plot title': 'Klikkaa antaaksesi kuvion otsikko',
        'Click to enter X axis title': 'Klikkaa antaaksesi x-akselin otsikko',
        'Click to enter Y axis title': 'Klikkaa antaaksesi y-akselin otsikko',
        'Click to enter radial axis title': 'Klikkaa antaaksesi radiaalisen akselin otsikko',
        'Compare data on hover': 'Vertaa dataa kursorilla',
        'Double-click on legend to isolate one trace': 'Kaksoisklikkaa selitettä eristääksesi yksi sarja',
        'Double-click to zoom back out': 'Kaksoisklikkaa zoomataksesi ulos',
        'Download plot': 'Lataa kuvio',
        'Download plot as png': 'Lataa kuvio png-muodossa',
        'Edit in Chart Studio': 'Muokkaa Chart Studiossa',
        'IE only supports svg. Changing format to svg.': 'Formaatiksi vaihdetaan IE:n tukema svg.',
        'Lasso Select': 'Lassovalinta',
        'Orbital rotation': 'Orbitaalikierto',
        'Pan': 'Panorointi',
        'Produced with Plotly': 'Tuotettu Plotlyllä',
        'Reset': 'Palauta oletusasetukset',
        'Reset axes': 'Palauta akselien oletusasetukset',
        'Reset camera to default': 'Palauta kameran oletusasetukset',
        'Reset camera to last save': 'Palauta kameran viimeksi tallennetut asetukset',
        'Reset view': 'Palauta näkymän oletusasetukset',
        'Reset views': 'Palauta näkymien oletusasetukset',
        'Show closest data on hover': 'Näytä kursoria lähin data',
        'Snapshot succeeded': 'Tilannekuvan ottaminen onnistui',
        'Sorry, there was a problem downloading your snapshot!': 'Pahoittelut, tilannekuvan lataaminen epäonnistui!',
        'Taking snapshot - this may take a few seconds': 'Otetaan tilannekuvaa - odota hetki',
        'Toggle Spike Lines': 'Näytä huiput',
        'Toggle show closest data on hover': 'Näytä kursoria lähin data',
        'Turntable rotation': 'Tasokierto',
        'Zoom': 'Zoomaus',
        'Zoom in': 'Zoomaa sisään',
        'Zoom out': 'Zoomaa ulos',
        'close:': 'loppu:',
        'high:': 'korkein:',
        'incoming flow count:': 'saapuva virtaus:',
        'kde:': 'ydinestimointi:',
        'lat:': 'lat.:',
        'lon:': 'lon.:',
        'low:': 'matalin:',
        'lower fence:': 'alempi raja:',
        'max:': 'maks.:',
        'mean ± σ:': 'keskiarvo ± σ:',
        'mean:': 'keskiarvo:',
        'median:': 'mediaani:',
        'min:': 'min.:',
        'new text': 'uusi teksti',
        'open:': 'alku:',
        'outgoing flow count:': 'lähtevä virtaus:',
        'q1:': 'q1:',
        'q3:': 'q3:',
        'source:': 'lähde:',
        'target:': 'kohde:',
        'trace': 'sarja',
        'upper fence:': 'ylempi raja:'
    },
    format: {
        days: [
            'sunnuntai', 'maanantai', 'tiistai', 'keskiviikko',
            'torstai', 'perjantai', 'lauantai'
        ],
        shortDays: ['su', 'ma', 'ti', 'ke', 'to', 'pe', 'la'],
        months: [
            'tammikuu', 'helmikuu', 'maaliskuu', 'huhtikuu', 'toukokuu', 'kesäkuu',
            'heinäkuu', 'elokuu', 'syyskuu', 'lokakuu', 'marraskuu', 'joulukuu'
        ],
        shortMonths: [
            'tammi', 'helmi', 'maalis', 'huhti', 'touko', 'kesä',
            'heinä', 'elo', 'syys', 'loka', 'marras', 'joulu'
        ],
        date: '%d.%m.%Y'
    }
};
